[BACK]Return to fw_install.sh CVS log [TXT][DIR] Up to [local] / openbsd / fw_update

Diff for /openbsd/fw_update/fw_install.sh between version 1.115 and 1.117

version 1.115, 2021/12/23 21:43:04 version 1.117, 2021/12/23 21:52:21
Line 338 
Line 338 
 [ "${devices[*]:-}" ] || exit  [ "${devices[*]:-}" ] || exit
   
 if "$DOWNLOAD"; then  if "$DOWNLOAD"; then
           set +o noclobber # we want to get the latest CFILE
         fetch "$CFILE"          fetch "$CFILE"
           set -o noclobber
         ! signify -qVep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&          ! signify -qVep "$FWPUB_KEY" -x "$CFILE" -m "$CFILE" &&
             echo "Signature check of SHA256.sig failed" >&2 && exit 1              echo "Signature check of SHA256.sig failed" >&2 && exit 1
 fi  fi
Line 374 
Line 376 
                 if "$DOWNLOAD"; then                  if "$DOWNLOAD"; then
                         "$VERBOSE" && echo "Verify existing ${f##*/}"                          "$VERBOSE" && echo "Verify existing ${f##*/}"
                         verify "$f" || continue                          verify "$f" || continue
                           "$INSTALL"  || kept="$kept,$d"
                 # else assume it was verified when downloaded                  # else assume it was verified when downloaded
                 fi                  fi
         elif "$DOWNLOAD"; then          elif "$DOWNLOAD"; then
                 fetch  "$f" || continue                  fetch  "$f" || continue
                 verify "$f" || continue                  verify "$f" || continue
                   "$INSTALL"  || added="$added,$d"
         elif "$INSTALL"; then          elif "$INSTALL"; then
                 echo "Cannot install ${f##*/}, not found" >&2                  echo "Cannot install ${f##*/}, not found" >&2
                 continue                  continue
Line 406 
Line 410 
 added="${added:#,}"  added="${added:#,}"
 updated="${updated:#,}"  updated="${updated:#,}"
 kept="${kept:#,}"  kept="${kept:#,}"
 echo  "${0##*/}: added ${added:-none}; updated ${updated:-none}; kept ${kept:-none}"  if "$INSTALL"; then
           echo  "${0##*/}: added ${added:-none}; updated ${updated:-none}; kept ${kept:-none}"
   else
           echo  "${0##*/}: downloaded ${added:-none}; kept ${kept:-none}"
   fi

Legend:
Removed from v.1.115  
changed lines
  Added in v.1.117

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>